## conkeror 0.9~git080629

=== Makefile ===
.PHONY: clean

CFLAGS = -O2 -g

spawn-process-helper: spawn-process-helper.c

clean:
	rm -f spawn-process-helper
