## conkeror 1.0~~pre+git120527

=== debian/changelog ===
conkeror (1.0~~pre+git120527-1) unstable; urgency=low

  * New upstream snapshot
    - Update debian patches to fit new module API
    - Synced debian/NEWS with http://conkeror.org/BreakingChanges
  * Don't pass locale settings to seq in /usr/bin/conkeror (Closes: #674171)
  * Update buildd-ports webjump. Thanks Christoph Egger!
  * Add debpopcon webjump.
  * Also install new file content-policy.manifest. Thanks Joseph Gay!
  * Support xulrunner 12.0 and 13.0
    - Update search list in debian/conkeror.bin
    - Add alternative dependency on xulrunner-12.0 and xulrunner-13.0
    - xulrunner-14.0 and newer not yet supported due to
      https://bugzilla.mozilla.org/show_bug.cgi?id=756786
  * Make 10.0 (ESR) first xulrunner dependency.
  * Expand sensible-editor.diff to also patch modules/mime.js, replace
    hardcoded application names with xdg-open. (Closes: #570086)
    - Rename patch to sensible-editor-xdg-open.diff
    - Recommend xdg-utils
  * Reformat long list of alternative xulrunner dependencies to one
    alternative per line for better readability and better diffing.
  * debian/conkeror.bin: Generate long list of consecutive versioned
    xulrunner binary names with seq and tac.
  * debian/rules: Enable hardening options for conkeror-spawn-helper
    - Add build-dependency on dpkg-dev (>= 1.16.1~).
    - Consistently use "$(MAKE)" instead of "make".
  * Bump Standards-Version to 3.9.3 (no changes)
  * Switch source format to "3.0 (quilt)"
    - Remove quilt usage from debian/rules
    - Drop build dependency on quilt
  * Rename debian/NEWS to debian/conkeror.NEWS so it no more gets included
    in the conkeror-spawn-process-helper package.

 -- Axel Beckert <abe@debian.org>  Sun, 27 May 2012 17:07:33 +0200

conkeror (1.0~~pre+git120102-1) unstable; urgency=low

  [ Axel Beckert ]
  * Upstream version bump
  * Upstream changed minimum xulrunner requirement to 1.9.1: Update
    debian/control and debian/conkeror.bin accordingly.
  * Reorder xulrunner alternative dependencies so the current xulrunner
    from unstable (9.0) is chosen by default.
  * Make package usable on Ubuntu again despite their xulrunner removal.
    - debian/control: Add alternative dependencies on firefox instead of
      xulrunner
    - debian/conkeror.bin: If no xulrunner is found, look for firefox
      instead
    - debian/control: Update long description to mention Firefox, too.
  * Add alternative dependencies on xulrunner-11.0, -10.0, and -9.0.
  * Support xulrunner 11.0 in debian/conkeror.bin

  [ Luca Capello ]
  * Support xulrunner 10.0 and 9.0 in debian/conkeror.bin, drop support
    for unversioned xulrunner binaries. (Closes: #649199)

 -- Axel Beckert <abe@debian.org>  Mon, 02 Jan 2012 20:12:01 +0100

conkeror (0.9.4-1) unstable; urgency=low

  * New upstream milestone
  * Add support for xulrunner-7.0 and xulrunner-8.0
  * Reorder xulrunner dependencies in debian/control:
    + xulrunner-6.0 is the first dependency as that's the highest version
      currently in Debian unstable.
    + All other versions are sorted descending by their version, the
      non-versioned xulrunner being the last one.

 -- Axel Beckert <abe@debian.org>  Sun, 04 Sep 2011 22:32:03 +0200

conkeror (0.9.3+git110719-1) unstable; urgency=low

  * New upstream snapshot
    - Fullscreen toggling support, use F11 or M-S-Return
  * Make reportbug helper script to work with any installed xulrunner
    package. Thanks to Luca Capello!
  * Change versioned dependency on "xulrunner" to a non-versioned
    dependency, because xulrunner 1.8 is really history (last seen in
    Etch) and it should work with a potential virtual "xulrunner"
    package. (See #567169)
  * debian/control: Prefer xulrunner-5.0 over xulrunner-1.9.1 as 5.0 is
    now in unstable and 1.9.1 will probably vanish soon.
  * Add alternative dependency on xulrunner-6.0 which was missing in the
    last upload.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Jul 2011 23:13:57 +0200

conkeror (0.9.3+git110602-1) unstable; urgency=low

  * New upstream snapshot
  * Add alternative dependencies on (upcoming) xulrunner-5.0 and -6.0
    packages
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Fri, 27 May 2011 03:07:21 +0200

conkeror (0.9.3+git110307-2) unstable; urgency=low

  * debian/conkeror.bin: Change search order for searching xulrunner
    binaries from the confusing current state of "squeeze/sid, (former)
    experimental, lenny, experimental, generic/sarge" to descending
    "highest, most specific versions first; lowest, generic versions
    last", so it should take the newest xulrunner version which is
    installed.

 -- Axel Beckert <abe@debian.org>  Tue, 08 Mar 2011 16:28:38 +0100

conkeror (0.9.3+git110307-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes network and SSL error pages under xulrunner-2.0

 -- Axel Beckert <abe@debian.org>  Mon, 07 Mar 2011 18:05:33 +0100

conkeror (0.9.3+git110224-1) unstable; urgency=low

  * New upstream snapshot
    - Further xulrunner-2.0 fixes
  * Add missing alternative dependency on xulrunner-2.0 (Thanks to Micah
    Gersten!)
  * Also look for xulrunner-2.0 in debian/conkeror.bin aka /usr/bin/conkeror

 -- Axel Beckert <abe@debian.org>  Thu, 24 Feb 2011 19:46:28 +0100

conkeror (0.9.3+git110219-1) unstable; urgency=low

  * The Works-with-2.0 Package
  * New upstream snapshot
    - Minor fixes for xulrunner-2.0 support
  * debian/rules: Include chrome.manifest which is necessary for
    xulrunner-2.0 support.

 -- Axel Beckert <abe@debian.org>  Sat, 19 Feb 2011 08:02:05 +0100

conkeror (0.9.3+git110213-1) unstable; urgency=low

  * New upstream snapshot
    - Sorts keybindings and command line options alphabetically. Thanks
      Jari Aalto for the patches. (Closes: #606878, #606880)
  * Upload to unstable again since the Squeeze Release Freeze is over.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Feb 2011 14:20:11 +0100


