=== debian/control ===
Source: conkeror
Section: web
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.2.3~), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://conkeror.org/
Vcs-Browser: http://repo.or.cz/w/conkeror.git
Vcs-Git: git://repo.or.cz/conkeror.git

Package: conkeror
Architecture: all
Depends: ${misc:Depends},
 xulrunner-10.0  |
 xulrunner-13.0  |
 xulrunner-12.0  |
 xulrunner-11.0  |
 xulrunner-9.0   |
 xulrunner-8.0   |
 xulrunner-7.0   |
 xulrunner-6.0   |
 xulrunner-5.0   |
 xulrunner-2.0   |
 xulrunner-1.9.2 |
 xulrunner-1.9.1 |
 firefox (>= 3.5)
Recommends: conkeror-spawn-process-helper, xdg-utils
Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
Suggests: emacs | emacsen
Provides: www-browser
Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}
Description: keyboard focused web browser with Emacs look and feel
 Conkeror is a highly-programmable web browser based on Mozilla
 XULRunner which is the base of all Mozilla products including
 Firefox. Conkeror has a sophisticated keyboard system for running
 commands and interacting with web page content, modelled after Emacs
 and Lynx. It is self-documenting and extensible with JavaScript.
 .
 It comes with builtin support for several Web 2.0 sites like several
 Google services (Search, Gmail, Maps, Reader, etc.), Del.icio.us,
 Reddit, Last.fm and YouTube. For easier editing of form fields, it
 can spawn external editors. For this feature the recommended
 conkeror-spawn-process-helper package needs to be installed.
 .
 Despite its very similar sounding name, Conkeror is not related to
 the KDE web browser and file manager Konqueror in any way.

Package: conkeror-spawn-process-helper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: conkeror
Breaks: conkeror (<< 0.9~git080901-1)
Description: spawn external processes in Conkeror
 This helper tool named conkeror-spawn-helper is necessary to let the
 Conkeror web browser spawn external process, e.g. to edit form fields
 in an external program. It was previously named spawn-process-helper.
 .
 Maybe helpful for other XULRunner based applications, too.
