## conkeror 1.0~~pre+git131116

=== debian/changelog ===
conkeror (1.0~~pre+git131116-1) unstable; urgency=low

  * New upstream snapshot
    + Fixes scroll-top-left issue (Closes: #726245)
  * Add support for xulrunner 26 and 27.
  * Follow Debian Unstable and switch default xulrunner dependency from 17
    to 24.

 -- Axel Beckert <abe@debian.org>  Sat, 16 Nov 2013 17:38:11 +0100

conkeror (1.0~~pre+git130817-1) unstable; urgency=low

  * New upstream snapshot
  * Add support for xulrunner 25.

 -- Axel Beckert <abe@debian.org>  Sat, 17 Aug 2013 15:42:01 +0200

conkeror (1.0~~pre+git130522-2) unstable; urgency=low

  * Add support for xulrunner 24.

 -- Axel Beckert <abe@debian.org>  Sat, 06 Jul 2013 22:13:48 +0200

conkeror (1.0~~pre+git130522-1) unstable; urgency=low

  * New upstream snapshot
  * Upload to unstable again
  * Add support for xulrunner 23
  * Make xulrunner-17.0 the default xulrunner dependency as that's the
    version currently in Debian unstable.

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 02:09:43 +0200

conkeror (1.0~~pre+git130407-1) experimental; urgency=low

  * New upstream snapshot
    - Properly passes CFLAGS, fully enables dpkg build flags
  * Add support for xulrunner 18 to 22 (Closes: #699239)
  * Bump debhelper compatibility to 9
    - Remove inclusion of buildflags.mk from debian/rules, no more needed
  * Bump Standards-Version to 3.9.4 (no changes)
  * Clean up debian/rules:
    - Use dh_auto_build and dh_auto_clean.
    - Don't clean up stamp files manually; this is already done by
      dh_clean plus debhelper compatibility level >= 7.
    - Use more debhelper magic, no more manual cp, ln, or mkdir.
    - Finally switch to a dh style debian/rules.

 -- Axel Beckert <abe@debian.org>  Sun, 07 Apr 2013 03:47:35 +0200

conkeror (1.0~~pre+git120901-1) experimental; urgency=low

  * New upstream snapshot
  * Add support for xulrunner 17

 -- Axel Beckert <abe@debian.org>  Sat, 01 Sep 2012 11:20:23 +0200

conkeror (1.0~~pre+git120804-1) experimental; urgency=low

  * Add support for xulrunner 15 and 16 with according versioned
    dependencies plus conflicts for earlier package versions (See #683157
    and https://bugzilla.mozilla.org/show_bug.cgi?id=756786)
  * Add Lintian overrides for using Conflicts instead of Breaks as
    Conkeror fails if these versions are just only unpacked.
  * Use `seq 13.0 -1 5.0` instead of `seq 5.0 13.0 | tac` in conkeror.bin

 -- Axel Beckert <abe@debian.org>  Wed, 08 Aug 2012 02:11:58 +0200
