## conkeror 1.0~~pre-1+git141025

=== debian/changelog ===
conkeror (1.0~~pre-1+git141025-1) unstable; urgency=low

  * New upstream snapshot
    + Updated reddit and stackexchange modes to keep up with website
      changes.
  * Resync conkeror.desktop's MimeType with iceweasel's, but ignore
    application/vnd.mozilla.xul+xml. (Closes: #746691)

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 18:34:13 +0200

conkeror (1.0~~pre-1+git140812-1) unstable; urgency=low

  * New upstream snapshot
    + Updated Google Images webjump
    + Most Google webjumps now with HTTPS
  * Updated Debian and Ubuntu webjumps
    + Most Debian and some Ubuntu webjumps now with HTTPS
    + debfile webjump working again
    + drop non-working ubuntufile webjump (doesn't work without suite)
    + debtracker webjump added (Thanks Christoph Egger for the idea!)
    + lpbugnr webjump added (ubuntubugs only works for source packages)
  * Update patch headers to conform to DEP-3
  * Convert debian/copyright to machine-readable DEP-5 format
    + No more ship MPL in separate file
  * Update copyright years and holders in debian/copyright
  * Update copyright years in debian/patches/deb-webjumps.diff
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 01:05:32 +0200

conkeror (1.0~~pre-1+git140616-1) unstable; urgency=medium

  * New upstream pre-release 1.0pre1
  * Support using "iceweasel -app" since there's no more xulrunner. :-(
    + Add primary alternative dependency on iceweasel >= 30
    + Update README.Debian explaining how /usr/bin/conkeror works
    + Closes: #751557

 -- Axel Beckert <abe@debian.org>  Mon, 16 Jun 2014 00:00:50 +0200

conkeror (1.0~~pre+git140428-1) unstable; urgency=medium

  * New upstream snapshot
  * Add support for xulrunner 28 to 30.
  * Reformat debian/control in wrap-and-sort style.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Mon, 28 Apr 2014 23:18:41 +0200
