=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Generating a xulrunner build id and other strings
DEBIAN_VERSION   := $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)
BUILDID := $(shell echo -n `whoami`@`hostname`)_$(shell date +%s)
USC = $(CURDIR)/debian/conkeror/usr/share/conkeror

%:
	dh $@

override_dh_install-indep:
	dh_install -i

	# Add generated Build ID and Debian version to version output
	sed -e 's/BuildID=git/BuildID=${BUILDID}/;s/^Version=\(.*\)$$/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/application.ini

	# Use Debian version for M-x version output
	sed -e 's/Version=\(.*\)/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/components/application.js
