=== debian/watch ===
# We track Conkeror Git revisions, thus no need for a watch file.
