=== debian/watch ===
version=4
opts="pagemangle=s:class=\"list\ name\"\ href=\"/conkeror.git/commit/([a-f0-9]{40})\">([0-9].*)</a>:class=\"list\ name\"\ href="/conkeror.git/snapshot/$2.tar.gz\">$2</a>:g" \
http://repo.or.cz/conkeror.git/tags /conkeror.git/snapshot/(.*)\.tar\.gz
