## conkeror 1.0.4

=== debian/changelog ===
conkeror (1.0.4-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes HTTP Basic Auth issues since Firefox 52. (Closes: #859364)
  * Add lintian override for bogus tech-ctte decision imposed onto policy,
    as the less bad of all alternatives.

 -- Axel Beckert <abe@debian.org>  Wed, 29 Nov 2017 20:39:08 +0100

conkeror (1.0.3+git171024-2) unstable; urgency=high

  * The deathbed upload.
  * Set "Rules-Requires-Root: no".
  * Prefer firefox-esr and iceweasel over firefox to not try running FF ≥
    57 if both, firefox and firefox-esr are installed.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Nov 2017 00:35:45 +0100

conkeror (1.0.3+git171024-1) unstable; urgency=medium

  * New upstream snapshot.
  * Restrict dependencies on Firefox variants to versions below 57.
  * debian/rules: Use pkg-info.mk instead of parsing debian/changelog.
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.
    + Use HTTPS in debian/copyright format URL.
  * Switch to debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 24 Oct 2017 23:16:02 +0200
